#!/bin/bash
###########################################################################
#REM
#REM Generate server certificate request
#REM
#REM Generate 4096 bits RSA key, store private key in a
#REM no password protected PEM file server.key, store certificate
#REM request in a PEM file server.csr, using system default configuration file
#REM
#REM The produced key will be valid for 1825 days (5 years)
#REM
#REM Self sign the server.csr or send it to your CA
############################################################################
echo""
echo "Privaten Serverschluessel und Zertifikatsanfrage erstellen..."
echo""

openssl req -newkey rsa:4096 -sha256 -outform PEM -out server_256.csr -keyout server.key -keyform PEM -days 1825 -nodes
echo""
echo "Selbstsigniertes Zertifikat erstellen..."
echo""
openssl x509 -req -days 1825 -sha256 -in server_256.csr -signkey server.key -out server_256.crt
echo""
echo "Ausgabe zur Ueberprfung des Zertifikats..."
echo""
openssl x509 -noout -text -in server_256.crt

